<?xml version="1.0" encoding="US-ASCII"?>
<!-- DFIN New ActiveDisclosure (SM) XBRL Linkbase Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date :2023-04-11T09:41:28.9098+00:00 -->
<!-- Copyright (c) 2023 Donnelly Financial Solutions, Inc. All Rights Reserved. -->
<link:linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <link:roleRef roleURI="http://www.spartannash.com/20230411/taxonomy/role/DocumentDocumentAndEntityInformation" xlink:href="sptn-20230411.xsd#DocumentDocumentAndEntityInformation" xlink:type="simple"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#PvpDisclosure" xlink:type="simple"/>
  <link:presentationLink xlink:role="http://www.spartannash.com/20230411/taxonomy/role/DocumentDocumentAndEntityInformation" xlink:title="presentationLink" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentType" xlink:label="dei_DocumentType"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_DocumentType" order="49.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_AmendmentFlag" order="50.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityRegistrantName" order="51.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityCentralIndexKey" order="52.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
  </link:presentationLink>
  <link:presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:title="presentationLink" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember" xlink:label="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember" xlink:label="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember" xlink:label="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember" xlink:label="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember" xlink:label="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember" xlink:label="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueOfDividendsMember" xlink:label="sptn_ChangeInFairValueOfDividendsMember"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_PayVsPerformanceDisclosureLineItems" xlink:label="ecd_PayVsPerformanceDisclosureLineItems"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_InitialFixedInvestmentValue" xlink:label="sptn_InitialFixedInvestmentValue"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllIndividualsMember" xlink:label="ecd_AllIndividualsMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_TonySarsamMember" xlink:label="sptn_TonySarsamMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_DennisEidsonMember" xlink:label="sptn_DennisEidsonMember"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember" order="0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember" order="1" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember" order="2" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember" order="3" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember" order="4" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember" order="5" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_ChangeInFairValueOfDividendsMember" order="6" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_PayVsPerformanceDisclosureLineItems" xlink:to="sptn_InitialFixedInvestmentValue" order="30.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="sptn_TonySarsamMember" order="101.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="sptn_DennisEidsonMember" order="102.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
  </link:presentationLink>
</link:linkbase>